Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

MySQL Discussion :

Quelle version de MySQL utilisez-vous ?


Sujet :

MySQL

  1. #1
    Rédacteur/Modérateur

    Quelle version de MySQL utilisez-vous ?
    Bonjour à tous,

    De nombreuses versions de MySQL sont disponibles et utilisées sur des environnements de production.

    Et vous, quelle version utilisez-vous ? La toute dernière version beta, pour être du "dernier cri" et satisfaire votre âme de testeur ? Ou, au contraire, une version bien antérieure parce qu'elle vous est imposée par votre hébergeur, ou que vous la trouvez stable et répondant à vos besoins ?

    Si vous utilisez plusieurs versions, indiquez préférentiellement celle que vous utilisez le plus (ou que vous préférez).

    N'hésitez pas à faire part de vos commentaires, qui sont les bienvenus.

    d'avance de votre participation.
    Rédacteur / Modérateur SGBD et R
    Mes tutoriels et la FAQ MySQL

    ----------------------------------------------------
    Pensez aux balises code et au tag
    Une réponse vous a plu ? N'hésitez pas à y mettre un
    Je ne réponds pas aux questions techniques par message privé, les forums sont là pour ça

  2. #2
    Rédacteur/Modérateur

    Personnellement, je n'utilise MySQL qu'à titre de tests.
    En règle générale, j'utilise la dernière version de production (GA release dans la terminologie MySQL).

    Ce qui fait que, à ce jour, j'utilise surtout la version 5.1. En attendant la 5.4...

    ced
    Rédacteur / Modérateur SGBD et R
    Mes tutoriels et la FAQ MySQL

    ----------------------------------------------------
    Pensez aux balises code et au tag
    Une réponse vous a plu ? N'hésitez pas à y mettre un
    Je ne réponds pas aux questions techniques par message privé, les forums sont là pour ça

  3. #3
    Futur Membre du Club
    J'utilise toujours une version stable pour ne pas etre embrouiller par les beta qui sont par moment instable

  4. #4
    Modérateur

    Il a fallu que je regarde quelle version est installée sur mon poste : celle qui est installée par défaut avec ma Mandriva 2009.1, c'est à dire la version 5.1.34.

    Au boulot, j'ai installé récemment deux serveurs Open Suse qui ont une version MySQL 5.0.67.

    Un autre un peu plus ancien est en version 5.0.45.
    Philippe Leménager. Ingénieur d'étude à l'École Nationale Supérieure de Formation de l'Enseignement Agricole. Autoentrepreneur.
    Mon ancien blog sur la conception des BDD, le langage SQL, le PHP... et mon nouveau blog sur les mêmes sujets.
    « Ce que l'on conçoit bien s'énonce clairement, et les mots pour le dire arrivent aisément ». (Nicolas Boileau)
    À la maison comme au bureau, j'utilise la suite Linux Mageïa !

  5. #5
    Membre à l'essai
    Personnellement en prod j'utilise la 5.0 qui est pacakgé avec les distribution Linux que j'utilise, Ubuntu et Debian

  6. #6
    Membre extrêmement actif
    Je teste actuellement Percona Server 5.5, en attendant la 5.6.
    Les performances sont sans communes mesure avec mysql, tout en assurant une compatibilité totale.
    La joie de l'âme est dans la planification -- Louis Hubert Liautey

  7. #7
    Membre régulier
    Actuellement de la 5.1.41 à la 5.5.16-log

  8. #8
    Membre à l'essai
    bonjour, actuellement j'utilise les serveurs mysql 5.5.24-log et mariadb 5.5.37-log

  9. #9
    Membre à l'essai
    J'utilise actuellement la version 5.5.37 ^^

  10. #10
    Candidat au Club
    info
    Comment reconnaitre la version de mysql ? Merci

  11. #11
    Expert éminent sénior
    Salut Jovial Banga.

    En faisant ceci :
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    --------------
    show variables like 'version'
    --------------
     
    +---------------+------------+
    | Variable_name | Value      |
    +---------------+------------+
    | version       | 5.7.12-log |
    +---------------+------------+
     
     
    Appuyez sur une touche pour continuer...


    @+
    Si vous êtes de mon aide, vous pouvez cliquer sur .
    Mon site : http://www.jcz.fr

  12. #12
    Rédacteur/Modérateur

    Encore en production avec un 5.0.44 (et des providers de m... qui refusent d'évoluer) et du 5.5.8
    Sinon en pré-prod avec un 5.7.17, mais ça pose passablement de souci de compatibilité à de vieilles versions (Oracle tente à pousser des comportements de la norme qui n'étaient pas les comportements par défaut...)
    Sr DBA Oracle / MS-SQL / MySQL / Postgresql / SAP-Sybase / Informix / DB2

    N'oublie pas de consulter mes articles, mon blog, les cours et les FAQ SGBD

    Attention : pas de réponse technique par MP : pensez aux autres, passez par les forums !

  13. #13
    Expert éminent sénior
    Salut fadace.

    Le problème n'est pas tant la version ancienne de MySql, mais le fait d'utiliser parfois des extensions, des applications ou je ne sais quoi d'autres qui ne peuvent pas évoluer et son donc liées à cette version de MySql.

    Sinon, pourquoi ne pas installer dans votre espace de travail chez votre fournisseur, une version plus récente de MySql ?

    Citation Envoyé par Fadace
    Oracle tente à pousser des comportements de la norme qui n'étaient pas les comportements par défaut...
    Je ne comprends pas bien ce que vous entendez par "comportement par défaut" ?
    Un exemple serait plus parlant.

    @+
    Si vous êtes de mon aide, vous pouvez cliquer sur .
    Mon site : http://www.jcz.fr

  14. #14
    Expert éminent sénior
    Peut être Fadace fait il allusion à ce genre de problèmes
    https://www.developpez.net/forums/d1...e-sql-sharp13/

    Je laisse le soin aux experts MySQL de confirmer pour le sujet en question, et à Fadace pour le sujet en cours

  15. #15
    Expert éminent sénior
    Salut Escartefigue.

    Le problème selon moi repose non pas sur la version MySql utilisé mais sur un type de développement trop spécifique à la version utilisée.

    Je prends un exemple auquel je suis confronté avec les dernières versions de php.
    Je ne trouve pas toujours les drivers qui sont associés à ces versions php, d'où le fait que j'attende leur sortie pour enfin basculer dans cette nouvelle version php.

    J'essaye dans mes développements, d'être toujours le plus standard possible.
    L'exemple du lien que vous m'avez donné est la caractéristique du non respect par MySql de la norme sur le "group by".
    Mais le pire dans l'exemple que vous m'avez donné, est que l'on est pas maître de l'application sur laquelle on travaille, entre autre Prestashop.
    On peut contourner le problème en modifiant la variable système de MySql "sql_mode".

    Pour répondre à la question de ce sujet, j'utilise la dernière version de MySql !
    Actuellement, c'est la version 5.7.17.

    @+
    Si vous êtes de mon aide, vous pouvez cliquer sur .
    Mon site : http://www.jcz.fr

  16. #16
    Nouveau membre du Club
    versions de MySQL
    Citation Envoyé par ced Voir le message
    Bonjour à tous,

    De nombreuses versions de MySQL sont disponibles et utilisées sur des environnements de production.

    Et vous, quelle version utilisez-vous ? La toute dernière version beta, pour être du "dernier cri" et satisfaire votre âme de testeur ? Ou, au contraire, une version bien antérieure parce qu'elle vous est imposée par votre hébergeur, ou que vous la trouvez stable et répondant à vos besoins ?

    Si vous utilisez plusieurs versions, indiquez préférentiellement celle que vous utilisez le plus (ou que vous préférez).

    N'hésitez pas à faire part de vos commentaires, qui sont les bienvenus.

    d'avance de votre participation.
    Bonjour,

    Je suis surpris de ne pas trouver de bouton marqué 5.5 et 5.7 qui sont deux des dernières versions de MySQL présentées comme telles sur le site MySQL .
    Et Maria DB étant une alternatif intéressante, ce pourrait être sympa de savoir combien d'entre nous l'utilisent ... (je lève la main ;=)

    De plus, sur mon PC Ubuntu 16.04 Forefox 57, le bouton "autre, précisez ..." ne me présente pas de zone de texte me permettant de préciser.

    Cordialement,
    Roland

###raw>template_hook.ano_emploi###